<!DOCTYPE html>
<html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
  <!-- Popper Development version -->
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <!-- Import DataTable Library -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <!-- Import Datatable sau jquery -->
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
  <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="container-fluid">
        <div class="row text-primary text-center mt-2">
            <div class="col-sm-6">
                <h4 class="font-weight-bold">Weather App</h4>
            </div>
            <div class="col-sm-3 text-right mt-1">
                <h5><a href="#">Current</a></h5>
            </div>
            <div class="col-sm-3 text-left mt-1">
                <h5><a href="Forecast.html">Forecast</a></h5>
            </div>
        </div>
    </div>

    <div class="container-fluid bg-primary text-white">
        <div class="row text-center pt-5 pb-5">
            <div class="col-sm-12 pt-3 pb-3">
                <h1>Get Current Weather Information</h1>
            </div>
        </div>
    </div>

    <div class="container-fluid">
        <div class="row text-center mt-3">
            <div class="col-sm-12 text-primary">
                <h4>Enter City Name</h4>
            </div>
        </div>
        <div class="row text-center mt-3">
            <div class="col-sm-4"></div>
            <div class="col-sm-4">
                <div class="row">
                    <div class="col-sm-2"></div>
                    <div class="col-sm-6">
                        <input id="inp-city-name" class="form-control" type="text" placeholder="Enter city name">
                    </div>
                    <div class="col-sm-4 text-left">
                        <button class="btn btn-primary text-white" id="btn-search">Search City</button>
                    </div>
                </div>
            </div>
            <div class="col-sm-4"></div>
        </div>
    </div>

    <div class="container mt-5">
        <div class="row">
            <div class="col-sm-3"></div>
            <div class="col-sm-6 text-center">
                <div class="card" style="border-radius: 20px 20px 20px 20px;">
                    <div class="card-body bg-primary text-white" style="border-radius: 20px 20px 20px 20px">
                        <h5 class="card-title font-weight-bold">Current Weather for <span id="span-city-name"></span></h5>
                        <div class="row text-left">
                            <div class="col-sm-4 font-weight-bold">Weather: </div>
                            <div class="col">
                                <label id="weather"></label>
                            </div>
                        </div>
                        <div class="row mt-2 text-left">
                            <div class="col-sm-4 font-weight-bold">Description: </div>
                            <div class="col" id="div-description"></div>
                        </div>
                        <div class="row mt-2 text-left">
                            <div class="col-sm-4 font-weight-bold">Temperature: </div>
                            <div class="col" id="div-temperature"></div>
                        </div>
                        <div class="row mt-2 text-left">
                            <div class="col-sm-4 font-weight-bold">Pressure: </div>
                            <div class="col" id="div-pressure"></div>
                        </div>
                        <div class="row mt-2 text-left">
                            <div class="col-sm-4 font-weight-bold">Humidity: </div>
                            <div class="col" id="div-humidity"></div>
                        </div>
                        <div class="row mt-2 text-left">
                            <div class="col-sm-4 font-weight-bold">Min Temperature: </div>
                            <div class="col" id="div-min-temperature"></div>
                        </div>
                        <div class="row mt-2 text-left">
                            <div class="col-sm-4 font-weight-bold">Max Temperature: </div>
                            <div class="col" id="div-max-temperature"></div>
                        </div>
                        <div class="row mt-2 text-left">
                            <div class="col-sm-4 font-weight-bold">Wind Speed: </div>
                            <div class="col" id="div-wind-speed"></div>
                        </div>
                        <div class="row mt-2 text-left">
                            <div class="col-sm-4 font-weight-bold">Wind Direction: </div>
                            <div class="col" id="div-direction"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-3"></div>
        </div>
    </div>

    <footer>
        <div class="container-fluid bg-primary fixed-bottom">
            <div class="row text-center text-white pt-4 pb-3">
                <div class="col-sm-12">
                    <h5>Copyright <i class="far fa-copyright"></i> Weather App</h5>
                </div>
            </div>
        </div>
    </footer>
</body>
<script>
    "use strict"
    const gBASE_URL = 'http://api.openweathermap.org/data/2.5/weather?q=';
    $(document).ready(function() {
        $("#btn-search").on("click", function() {
            onBtnSearchClick();
        });
    });
    function onBtnSearchClick() {
        var vCityName = $("#inp-city-name").val();
        var vCheck = validateData(vCityName);
        if(vCheck) {
            console.log(vCityName);
            callApiGetCurrentWeather(vCityName);
        }
    }
    function validateData(paramData) {
        if(paramData === "") {
            alert("Vui lòng nhập City name !");
            return false;
        }
        return true;
    }
    function callApiGetCurrentWeather(paramCity) {
        $.ajax({
            url: gBASE_URL + paramCity + "&units=metric" + "&APPID=c10bb3bd22f90d636baa008b1529ee25",
            type: "GET",
            dataType: "json",
            success: function(data) {
                console.log(data);
                displayData(data);
            },
            error: function(error) {
                alert(error.responseText)
            }
        });
    }
    function displayData(paramData) {
        let vData = {
            weather: paramData.weather[0].main,
            description: paramData.weather[0].description,
            temp: paramData.main.temp,  
            pressure: paramData.main.pressure,
            humidity: paramData.main.humidity,
            minTemp: paramData.main.temp_min,
            maxTemp: paramData.main.temp_max,
            windSpd: paramData.wind.speed,
            windDir: paramData.wind.deg,
            img: `http://openweathermap.org/img/w/${paramData.weather[0].icon}.png`
        }       
        $("#span-city-name").text(paramData.name);
        $("#weather").text(vData.weather);
        $("#div-description").html(vData.description).append($(`<img src = '${vData.img}' class='img-fluid'>`));
        $("#div-temperature").text(vData.temp + "℃");
        $("#div-pressure").text(vData.pressure);
        $("#div-humidity").text(vData.humidity + "%");
        $("#div-min-temperature").text(vData.minTemp);
        $("#div-max-temperature").text(vData.maxTemp);
        $("#div-wind-speed").text(vData.windSpd);
        $("#div-direction").text(vData.windDir);
    }
</script>
</html>